Bug 191271 - Failure to mount samba shares under certain conditions
Failure to mount samba shares under certain conditions
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2006-05-10 08:55 EDT by Bastien Nocera
Modified: 2010-10-22 00:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
samba-3.0.21b-dont-steal-cache-fd-RHEL3.patch (520 bytes, patch)
2006-05-10 08:55 EDT, Bastien Nocera
no flags Details | Diff
newer patch from samba upstream (1.06 KB, patch)
2006-05-11 10:17 EDT, nathan r. hruby
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 3327 None None None Never

  None (edit)
Description Bastien Nocera 2006-05-10 08:55:01 EDT
samba-3.0.10-1.4E.6

Sometimes clients wouldn't be able to mount shares exported from Samba. The
samba logs would show errors like:

[2005/12/14 17:52:53, 5] tdb/tdbutil.c:tdb_log(725)
  tdb(/var/cache/samba/gencache.tdb): tdb_brlock failed (fd=3) at offset 244
rw_type=0 lck_type=14
[2005/12/14 17:52:53, 5] tdb/tdbutil.c:tdb_log(725)
  tdb(/var/cache/samba/gencache.tdb): tdb_brlock failed (fd=3) at offset 244
rw_type=0 lck_type=14: Bad file descriptor

The upstream bug is:
https://bugzilla.samba.org/show_bug.cgi?id=3327

The attached patch is a backport from the upstream bug fix, tested successfully.
Comment 1 Bastien Nocera 2006-05-10 08:55:02 EDT
Created attachment 128845 [details]
samba-3.0.21b-dont-steal-cache-fd-RHEL3.patch
Comment 2 nathan r. hruby 2006-05-10 15:47:21 EDT
YEA! Bastien you're my favorite person for the day :)  

This is biting me presently as we attempt to backup some Netware machines via CIFS.
Comment 3 nathan r. hruby 2006-05-11 10:16:42 EDT
I tested this patch last night and all of the mounts "expired" in that smbmount
had the same issue without logging the error, but then did not remount the
mounts, leaving them stale.

Looking at the upstream bug, I think the patch posted in comment #1 is an older
patch and probably one should use
https://bugzilla.samba.org/attachment.cgi?id=1660 instead

That patch applies cleanly to samba-3.0.9 source RPM's which I'm rebuilding with
this patch currently and will be testing out today.
Comment 4 nathan r. hruby 2006-05-11 10:17:54 EDT
Created attachment 128890 [details]
newer patch from samba upstream

This is https://bugzilla.samba.org/attachment.cgi?id=1660
Comment 5 RHEL Product and Program Management 2007-10-19 14:44:35 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.
Comment 8 Simo Sorce 2007-11-28 09:00:48 EST
This bug was automatically closed but it should be fixed in the latest updates.

Note You need to log in before you can comment on or make changes to this bug.